Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 513)
@@ -59,7 +59,7 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.commands.CopyFile;
 import org.txm.rcp.commands.CreateMacro;
@@ -139,8 +139,8 @@
 		controls.setLayout(controlsLayout);
 		
 		Button refresh = new Button(controls, SWT.NONE);
-		refresh.setText(Messages.Explorer_5);
-		refresh.setToolTipText(Messages.Explorer_6);
+		refresh.setText(RCPMessages.Explorer_5);
+		refresh.setToolTipText(RCPMessages.Explorer_6);
 		refresh.setLayoutData(new GridData());
 		refresh.addSelectionListener(new SelectionAdapter() {
 			@Override
@@ -153,8 +153,8 @@
 		
 		Button newMacro = new Button(controls, SWT.NONE);
 		newMacro.setLayoutData(new GridData());
-		newMacro.setText(Messages.MacrosExplorer_0);
-		newMacro.setToolTipText(Messages.MacrosExplorer_1);
+		newMacro.setText(RCPMessages.MacrosExplorer_0);
+		newMacro.setToolTipText(RCPMessages.MacrosExplorer_1);
 		newMacro.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -162,7 +162,7 @@
 				File currentRootDir = new File(scriptRootDir, "macro/org/txm/macro"); //$NON-NLS-1$
 				currentRootDir.mkdirs();
 				
-				InputDialog dialog = new InputDialog(e.display.getActiveShell(), Messages.CreateMacro_0, Messages.CreateMacro_1, "", null); //$NON-NLS-1$
+				InputDialog dialog = new InputDialog(e.display.getActiveShell(), RCPMessages.CreateMacro_0, RCPMessages.CreateMacro_1, "", null); //$NON-NLS-1$
 				
 				dialog.open();
 				String name = dialog.getValue();
@@ -280,7 +280,7 @@
 				selectedItem.equals(samples) ||
 				selectedItem.equals(xsl))
 		{
-			System.out.println(NLS.bind(Messages.Explorer_0, selectedItem));
+			System.out.println(NLS.bind(RCPMessages.Explorer_0, selectedItem));
 			return false;
 		}
 		return false;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 513)
@@ -56,7 +56,7 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.CopyFile;
 import org.txm.rcp.commands.CutFile;
 import org.txm.rcp.commands.DeleteFile;
@@ -129,8 +129,8 @@
 
 		// its widgets
 		Button go_up = new Button(controls, SWT.NONE);
-		go_up.setText(Messages.Explorer_4);
-		go_up.setToolTipText(Messages.Explorer_1);
+		go_up.setText(RCPMessages.Explorer_4);
+		go_up.setToolTipText(RCPMessages.Explorer_1);
 		go_up.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -145,7 +145,7 @@
 		if (currentPath == null)
 			currentPath = "/"; //$NON-NLS-1$
 		address.setText(currentPath);
-		address.setToolTipText(Messages.Explorer_2);
+		address.setToolTipText(RCPMessages.Explorer_2);
 		address.addKeyListener(new KeyAdapter() {
 			@Override
 			public void keyPressed(KeyEvent e) {
@@ -159,8 +159,8 @@
 		});
 
 		Button go = new Button(controls, SWT.NONE);
-		go.setText(Messages.Explorer_5);
-		go.setToolTipText(Messages.Explorer_6);
+		go.setText(RCPMessages.Explorer_5);
+		go.setToolTipText(RCPMessages.Explorer_6);
 		go.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -172,8 +172,8 @@
 		});
 		
 		Button homeBtn = new Button(controls, SWT.NONE);
-		homeBtn.setText(Messages.Explorer_7);
-		homeBtn.setToolTipText(Messages.Explorer_8);
+		homeBtn.setText(RCPMessages.Explorer_7);
+		homeBtn.setToolTipText(RCPMessages.Explorer_8);
 		homeBtn.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -309,7 +309,7 @@
 				selectedItem.equals(samples) ||
 				selectedItem.equals(xsl))
 		{
-			System.out.println(NLS.bind(Messages.Explorer_0, selectedItem));
+			System.out.println(NLS.bind(RCPMessages.Explorer_0, selectedItem));
 			return false;
 		}
 		return false;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 513)
@@ -65,7 +65,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
 import org.txm.objects.Workspace;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.commands.base.DeleteObject;
@@ -171,7 +171,7 @@
 	public void createPartControl(Composite parent) {
 		treeViewer = new TreeViewer(parent, SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL);
 		PlatformUI.getWorkbench().getHelpSystem().setHelp(
-				treeViewer.getControl(), Messages.CorporaView_0);
+				treeViewer.getControl(), RCPMessages.CorporaView_0);
 		getSite().setSelectionProvider(treeViewer);
 
 		treeViewer.setContentProvider(new TXMResultContentProvider());
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 513)
@@ -68,7 +68,7 @@
 import org.txm.objects.SavedQuery;
 import org.txm.objects.TxmObject;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.commands.base.DeleteObject;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -159,7 +159,7 @@
 		Button export = new Button(parent, SWT.PUSH);
 		export.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				false));
-		export.setText(Messages.QueriesView_1);
+		export.setText(RCPMessages.QueriesView_1);
 		export.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -172,7 +172,7 @@
 					dialog.setFilterPath(LastOpened.getFolder(ID));
 					dialog.setFileName(LastOpened.getFile(ID));
 				} else {
-					dialog.setFilterPath(new File(txmhome, Messages.Explorer_3).getAbsolutePath());
+					dialog.setFilterPath(new File(txmhome, RCPMessages.Explorer_3).getAbsolutePath());
 				}
 				String path = dialog.open();
 				if (path == null) return;
@@ -186,7 +186,7 @@
 				
 				try {
 					FileWriter writer = new FileWriter(output);
-					writer.write(Messages.QueriesView_5);
+					writer.write(RCPMessages.QueriesView_5);
 					for (MainCorpus b : CorpusManager.getCorpusManager().getCorpora()) {
 						writer.write(" " + b.getName() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 						for (SavedQuery q : b.getQueriesLog()) {
@@ -302,7 +302,7 @@
 				return ((TxmObject) element).getName();
 			else if (element instanceof SavedQuery)
 				return ((SavedQuery) element).toString();
-			return NLS.bind(Messages.QueriesView_10, element);
+			return NLS.bind(RCPMessages.QueriesView_10, element);
 		}
 
 		/* (non-Javadoc)
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 513)
@@ -59,7 +59,7 @@
 import org.txm.Toolbox;
 import org.txm.functions.summary.Summary;
 import org.txm.objects.Page;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.editors.TXMBrowser;
 import org.txm.rcp.swt.widget.PropertiesSelector;
@@ -153,7 +153,7 @@
 				refresh();
 			}
 		} catch (Exception e) {
-			System.out.println(Messages.InternalCorpusView_0);
+			System.out.println(RCPMessages.InternalCorpusView_0);
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 		} 
 	}
@@ -306,7 +306,7 @@
 		//Button reload
 		Button openeditdialog = new Button(parent, SWT.PUSH);
 		openeditdialog.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
-		openeditdialog.setText(Messages.InternalCorpusView_1);
+		openeditdialog.setText(RCPMessages.InternalCorpusView_1);
 		openeditdialog.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -345,7 +345,7 @@
 						}
 						attachedBrowserEditor.showPage(openedPage);
 					} else {
-						System.out.println(Messages.SummaryView_0+node);
+						System.out.println(RCPMessages.SummaryView_0+node);
 					}
 
 					if (progresslistener != null) {
@@ -442,7 +442,7 @@
 		public String getText(Object element) {
 			if (element instanceof Summary.TreeNode)
 				return ((Summary.TreeNode) element).getInfo();
-			return NLS.bind(Messages.InternalCorpusView_2, element);
+			return NLS.bind(RCPMessages.InternalCorpusView_2, element);
 		}
 
 		/* (non-Javadoc)
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationActionBarAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationActionBarAdvisor.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationActionBarAdvisor.java	(revision 513)
@@ -106,13 +106,13 @@
 	protected void makeActions(IWorkbenchWindow window) {
 
 		preferenceAction = ActionFactory.PREFERENCES.create(window);
-		preferenceAction.setText(Messages.Preferences_Menu_Label);
+		preferenceAction.setText(RCPMessages.Preferences_Menu_Label);
 		register(preferenceAction);
 		exitAction = ActionFactory.QUIT.create(window);
-		exitAction.setText(Messages.Exit_Menu_Label);
+		exitAction.setText(RCPMessages.Exit_Menu_Label);
 		register(exitAction);
 		aboutAction = ActionFactory.ABOUT.create(window);
-		aboutAction.setText(Messages.About_Menu_Label);
+		aboutAction.setText(RCPMessages.About_Menu_Label);
 		register(aboutAction);
 		deleteAction = ActionFactory.DELETE.create(window);
 		// register(deleteAction);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateFrequencyListDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateFrequencyListDialog.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateFrequencyListDialog.java	(revision 513)
@@ -40,7 +40,7 @@
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -83,7 +83,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(Messages.FrequencyListEditorInput_0);
+		newShell.setText(RCPMessages.FrequencyListEditorInput_0);
 	}
 
 	/**
@@ -105,7 +105,7 @@
 		composite.setLayout(layout);
 
 		Label anaPropLabel = new Label(composite, SWT.NONE);
-		anaPropLabel.setText(Messages.CreatePartitionDialog_4);
+		anaPropLabel.setText(RCPMessages.CreatePartitionDialog_4);
 		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -129,8 +129,8 @@
 		int propIndex = anaPropCombo.getSelectionIndex();
 		if (propIndex == -1) {
 			MessageDialog.openError(getShell(),
-					Messages.Invalid_analysis_property,
-					Messages.Structure_field_not_empty);
+					RCPMessages.Invalid_analysis_property,
+					RCPMessages.Structure_field_not_empty);
 			return;
 		}
 		property = properties.get(propIndex);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java	(revision 513)
@@ -62,7 +62,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(org.txm.rcp.Messages.SaveBeforeExecutionDialog_0);
+		newShell.setText(org.txm.rcp.RCPMessages.SaveBeforeExecutionDialog_0);
 		newShell.setMinimumSize(300, 460);
 
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java	(revision 513)
@@ -34,7 +34,7 @@
 import org.eclipse.ui.ISelectionListener;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
@@ -99,7 +99,7 @@
 			try {
 				subcorpus.getMotherSubcorpus().dropSubcorpus(subcorpus);
 			} catch (CqiClientException e) {
-				System.err.println(NLS.bind(Messages.DeleteInCorporaView_1, e));
+				System.err.println(NLS.bind(RCPMessages.DeleteInCorporaView_1, e));
 			}
 		}
 		if (selection.getFirstElement() instanceof Partition) {
@@ -108,7 +108,7 @@
 				partition.getCorpus().dropPartition(partition);
 			} catch (CqiClientException e) {
 				System.err.println(NLS.bind(
-						Messages.DeleteInCorporaView_2, e));
+						RCPMessages.DeleteInCorporaView_2, e));
 			}
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 513)
@@ -45,7 +45,7 @@
 import org.eclipse.swt.widgets.TabFolder;
 import org.eclipse.swt.widgets.TabItem;
 import org.eclipse.swt.widgets.Text;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.widget.ComplexSubcorpusPanel;
 import org.txm.rcp.swt.widget.QueryWidget;
 import org.txm.rcp.swt.widget.SimpleSubcorpusPanel;
@@ -115,7 +115,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(Messages.CreateSubcorpusDialog_0);
+		newShell.setText(RCPMessages.CreateSubcorpusDialog_0);
 		newShell.setMinimumSize(300, 300);
 	}
 
@@ -151,7 +151,7 @@
 		nameComposite.setLayout(layout4nameComposite);
 
 		Label nameLabel = new Label(nameComposite, SWT.NONE);
-		nameLabel.setText(Messages.CreatePartitionDialog_6);
+		nameLabel.setText(RCPMessages.CreatePartitionDialog_6);
 		nameLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, false, false));
 
 		name = new Text(nameComposite, SWT.BORDER);
@@ -163,19 +163,19 @@
 		
 		// First tab
 		TabItem simpleTab = new TabItem(tabFolder, SWT.NONE);
-		simpleTab.setText(Messages.CreatePartitionDialog_1);
+		simpleTab.setText(RCPMessages.CreatePartitionDialog_1);
 		simplePanel = new SimpleSubcorpusPanel(tabFolder, SWT.NONE, this, corpus);
 		simpleTab.setControl(simplePanel);
 		
 		//Second tab: assisted mode
 		TabItem secondTab = new TabItem(tabFolder, SWT.NONE);
-		secondTab.setText(Messages.CreatePartitionDialog_3);
+		secondTab.setText(RCPMessages.CreatePartitionDialog_3);
 		this.complexPanel = new ComplexSubcorpusPanel(tabFolder, SWT.NONE, this.corpus);
 		secondTab.setControl(complexPanel);
 
 		// Third tab: advanced mode
 		TabItem advancedTab = new TabItem(tabFolder, SWT.NONE);
-		advancedTab.setText(Messages.CreatePartitionDialog_5);
+		advancedTab.setText(RCPMessages.CreatePartitionDialog_5);
 
 		Composite compositeForAdvanced = new Composite(tabFolder, SWT.NONE);
 		advancedTab.setControl(compositeForAdvanced);
@@ -184,7 +184,7 @@
 		compositeForAdvanced.setLayout(layoutForAdvanced);
 
 		Label advancedPartLabel = new Label(compositeForAdvanced, SWT.NONE);
-		advancedPartLabel.setText(Messages.CreateSubcorpusDialog_10);
+		advancedPartLabel.setText(RCPMessages.CreateSubcorpusDialog_10);
 		advancedPartLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
 
@@ -236,7 +236,7 @@
 		if (name.getText().length() == 0) {
 			String generated = "subcorpus"; //$NON-NLS-1$
 
-			System.out.println(Messages.CreateSubcorpusDialog_8);
+			System.out.println(RCPMessages.CreateSubcorpusDialog_8);
 			if (isAdvancedSelected()) {
 				generated += ""+(this.corpus.getSubcorpora().size()+1); //$NON-NLS-1$
 			} else if (assistedSelected) {
@@ -250,8 +250,8 @@
 		// test if a query has been set
 		if ((isAdvancedSelected()) && queryText.getText().length() == 0) {
 			MessageDialog.openError(getShell(),
-					Messages.CreateSubcorpusDialog_13,
-					Messages.CreateSubcorpusDialog_14);
+					RCPMessages.CreateSubcorpusDialog_13,
+					RCPMessages.CreateSubcorpusDialog_14);
 			return;
 		}
 
@@ -267,8 +267,8 @@
 				//System.out.println("3 "+queryString);
 				if (queryString == null || queryString.trim().length() == 0) {
 					MessageDialog.openError(getShell(),
-							Messages.CreateSubcorpusDialog_13,
-							Messages.CreateSubcorpusDialog_14);
+							RCPMessages.CreateSubcorpusDialog_13,
+							RCPMessages.CreateSubcorpusDialog_14);
 					return;
 				}
 			}
@@ -304,7 +304,7 @@
 	public StructuralUnit getStructuralUnit() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					Messages.Cannot_ask_simple_when_advance);
+					RCPMessages.Cannot_ask_simple_when_advance);
 		return simplePanel.selectedStructuralUnit;
 	}
 
@@ -316,7 +316,7 @@
 	public StructuralUnitProperty getStructuralUnitProperty() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					Messages.Cannot_ask_simple_when_advance);
+					RCPMessages.Cannot_ask_simple_when_advance);
 		return simplePanel.selectedStructuralUnitProperty;
 	}
 
@@ -328,7 +328,7 @@
 	public List<String> getValues() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					Messages.Cannot_ask_simple_when_advance);
+					RCPMessages.Cannot_ask_simple_when_advance);
 		return simplePanel.selectedValues;
 	}
 
@@ -340,7 +340,7 @@
 	public String getQuery() {
 		if (isAdvancedSelected() == false && isAssistedSelected() == false)
 			throw new IllegalStateException(
-					Messages.Cannot_ask_simple_when_advance);
+					RCPMessages.Cannot_ask_simple_when_advance);
 		return queryString;
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 513)
@@ -52,7 +52,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -149,7 +149,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(NLS.bind(Messages.ImportDialog_0, loadername)); 
+		newShell.setText(NLS.bind(RCPMessages.ImportDialog_0, loadername)); 
 		newShell.setMinimumSize(300, 200);
 	}
 
@@ -172,7 +172,7 @@
 
 			// directory
 			Label dirLabel = new Label(mainPanel, SWT.NONE);
-			dirLabel.setText(Messages.ImportDialog_1);
+			dirLabel.setText(RCPMessages.ImportDialog_1);
 			dirLabel.setAlignment(SWT.CENTER);
 			dirLabel.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 					false, false));
@@ -203,7 +203,7 @@
 						if (new File(srcdir, "html").exists() && new File(srcdir, "data").exists() && new File(srcdir, "registry").exists()) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
 						{	
 							TXMMessageBox.show(parent
-									.getShell(), Messages.AddBase_19, Messages.ImportDialog_13, SWT.ICON_WARNING);
+									.getShell(), RCPMessages.AddBase_19, RCPMessages.ImportDialog_13, SWT.ICON_WARNING);
 						}
 						
 						directory = new File(path);
@@ -243,26 +243,26 @@
 
 			// encoding
 			Group encodingGroup = new Group(optionsPanel, SWT.SHADOW_ETCHED_IN);
-			encodingGroup.setText(Messages.ImportDialog_4);
+			encodingGroup.setText(RCPMessages.ImportDialog_4);
 			encodingGroup.setLayout(new GridLayout(2, false));
 			encodingGroup.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 3, 1));
 
 			btnDefaultEncoding = new Button(encodingGroup, SWT.RADIO);
-			btnDefaultEncoding.setText(Messages.ImportDialog_14
+			btnDefaultEncoding.setText(RCPMessages.ImportDialog_14
 					+ System.getProperty("file.encoding")); //$NON-NLS-1$
 			btnDefaultEncoding.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 2, 1));
 			btnDefaultEncoding.setSelection(true);
 
 			btnGuessEncoding = new Button(encodingGroup, SWT.RADIO);
-			btnGuessEncoding.setText(Messages.ImportDialog_16);
+			btnGuessEncoding.setText(RCPMessages.ImportDialog_16);
 
 			btnGuess2Encoding = new Button(encodingGroup, SWT.PUSH);
 			btnGuess2Encoding.setText("??"); //$NON-NLS-1$
 
 			btnSelectEncoding = new Button(encodingGroup, SWT.RADIO);
-			btnSelectEncoding.setText(Messages.ImportDialog_22);
+			btnSelectEncoding.setText(RCPMessages.ImportDialog_22);
 
 			encodingCombo = new Combo(encodingGroup, SWT.BORDER);
 			encodingCombo.setLayoutData(new GridData(GridData.FILL,
@@ -294,26 +294,26 @@
 
 			// lang
 			Group langGroup = new Group(optionsPanel, SWT.SHADOW_ETCHED_IN);
-			langGroup.setText(Messages.ImportDialog_5);
+			langGroup.setText(RCPMessages.ImportDialog_5);
 			langGroup.setLayout(new GridLayout(2, false));
 			langGroup.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 					true, false, 3, 1));
 
 			btnDefaultLang = new Button(langGroup, SWT.RADIO);
-			btnDefaultLang.setText(Messages.ImportDialog_19
+			btnDefaultLang.setText(RCPMessages.ImportDialog_19
 					+ Locale.getDefault().getLanguage());
 			btnDefaultLang.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 2, 1));
 			btnDefaultLang.setSelection(true);
 
 			btnGuessLang = new Button(langGroup, SWT.RADIO);
-			btnGuessLang.setText(Messages.ImportDialog_16); 
+			btnGuessLang.setText(RCPMessages.ImportDialog_16); 
 
 			btnGuess2Lang = new Button(langGroup, SWT.PUSH);
 			btnGuess2Lang.setText("??"); //$NON-NLS-1$
 
 			btnSelectLang = new Button(langGroup, SWT.RADIO);
-			btnSelectLang.setText(Messages.ImportDialog_22);
+			btnSelectLang.setText(RCPMessages.ImportDialog_22);
 
 			langcombo = new Combo(langGroup, SWT.BORDER);
 			langcombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
@@ -350,7 +350,7 @@
 			selectTokenizerPanel.setLayout(new GridLayout(4, false));
 			selectTokenizerPanel.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 3, 1));
-			selectTokenizerPanel.setText(Messages.ImportDialog_6);
+			selectTokenizerPanel.setText(RCPMessages.ImportDialog_6);
 
 			final Text tokenizerValue = new Text(selectTokenizerPanel,
 					SWT.SINGLE | SWT.BORDER);
@@ -387,7 +387,7 @@
 			tokenizerButton = new Button(selectTokenizerPanel, SWT.PUSH);
 			// tokenizerButton.setLayoutData(new GridData(GridData.FILL,
 			// GridData.FILL, false, false));
-			tokenizerButton.setText(Messages.PropertiesSelector_2);
+			tokenizerButton.setText(RCPMessages.PropertiesSelector_2);
 			tokenizerButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -405,7 +405,7 @@
 			});
 
 			final ExpandItem item0 = new ExpandItem(bar, SWT.NONE, 0);
-			item0.setText(Messages.ImportDialog_23);
+			item0.setText(RCPMessages.ImportDialog_23);
 			item0.setHeight(optionsPanel.computeSize(SWT.DEFAULT,SWT.DEFAULT).y);
 			item0.setControl(optionsPanel);
 						
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 513)
@@ -55,7 +55,7 @@
 import org.eclipse.swt.widgets.TabFolder;
 import org.eclipse.swt.widgets.TabItem;
 import org.eclipse.swt.widgets.Text;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.widget.PartitionComposer;
 import org.txm.rcp.swt.widget.QueryWidget;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -150,7 +150,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(Messages.CreatePartitionDialog_0);
+		newShell.setText(RCPMessages.CreatePartitionDialog_0);
 		newShell.setMinimumSize(400, 400);
 	}
 
@@ -170,7 +170,7 @@
 		FontData defaultFont = f.getFontData()[0];
 		defaultFont.setStyle(SWT.BOLD);
 		Font newf = new Font(nameLabel.getDisplay(), defaultFont);
-		nameLabel.setText(Messages.CreatePartitionDialog_6);
+		nameLabel.setText(RCPMessages.CreatePartitionDialog_6);
 		nameLabel.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
 				false, false));
 		nameLabel.setFont(newf);
@@ -188,7 +188,7 @@
 
 		TabItem simpleTab = new TabItem(tabFolder, SWT.NONE);
 
-		simpleTab.setText(Messages.CreatePartitionDialog_1);
+		simpleTab.setText(RCPMessages.CreatePartitionDialog_1);
 
 		Composite composite = new Composite(tabFolder, SWT.NONE);
 		simpleTab.setControl(composite);
@@ -200,7 +200,7 @@
 		// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 		Label structureLabel = new Label(composite, SWT.NONE);
-		structureLabel.setText(Messages.CreatePartitionDialog_2);
+		structureLabel.setText(RCPMessages.CreatePartitionDialog_2);
 		structureLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
 
@@ -212,7 +212,7 @@
 		try {
 			structuralUnits = corpus.getOrderedStructuralUnits();
 		} catch (CqiClientException e) {
-			Log.severe(Messages.ObjectExplorer_9
+			Log.severe(RCPMessages.ObjectExplorer_9
 					+ Log.toString(e));
 			return null;
 		}
@@ -255,7 +255,7 @@
 		// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 		Label propertyLabel = new Label(composite, SWT.NONE);
-		propertyLabel.setText(Messages.CreatePartitionDialog_4);
+		propertyLabel.setText(RCPMessages.CreatePartitionDialog_4);
 		propertyLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -300,7 +300,7 @@
 		// Second Tab : assisted mode
 		TabItem assistedTab = new TabItem(tabFolder, SWT.NONE);
 
-		assistedTab.setText(Messages.CreatePartitionDialog_3);
+		assistedTab.setText(RCPMessages.CreatePartitionDialog_3);
 
 		compositeForAssisted = new PartitionComposer(tabFolder, SWT.NONE,
 				this.corpus);
@@ -310,7 +310,7 @@
 		// --------------------------------------------------------
 
 		TabItem advancedTab = new TabItem(tabFolder, SWT.NONE);
-		advancedTab.setText(Messages.CreatePartitionDialog_5);
+		advancedTab.setText(RCPMessages.CreatePartitionDialog_5);
 
 		Composite advanceContainer = new Composite(tabFolder, SWT.NONE);
 		GridLayout advanceLayout = new GridLayout(1, true);
@@ -450,7 +450,7 @@
 	 */
 	private void addQueryField(final Composite composite) {
 		final Text advancedPartLabel = new Text(composite, SWT.NONE);
-		advancedPartLabel.setText(Messages.CreatePartitionDialog_7
+		advancedPartLabel.setText(RCPMessages.CreatePartitionDialog_7
 				+ (partNames.size() + 1)); 
 		advancedPartLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
@@ -498,21 +498,21 @@
 			{
 				String name = "partition"+(this.corpus.getPartitions().size()+1); //$NON-NLS-1$
 				nameText.setText(name);
-				System.out.println(Messages.CreatePartitionDialog_9);
+				System.out.println(RCPMessages.CreatePartitionDialog_9);
 			}
 			else if (isAssistedSelected)
 			{
 				String name = this.corpus.getName()+"_"+compositeForAssisted.getProperty().getFullName(); //$NON-NLS-1$
 				nameText.setText(name);
-				System.out.println(Messages.CreatePartitionDialog_9);
+				System.out.println(RCPMessages.CreatePartitionDialog_9);
 			}
 			//return;
 		}
 
 		if (isAdvancedSelected() && noquery()) {
 			MessageDialog.openError(getShell(),
-					Messages.CreateSubcorpusDialog_13,
-					Messages.CreatePartitionDialog_16);
+					RCPMessages.CreateSubcorpusDialog_13,
+					RCPMessages.CreatePartitionDialog_16);
 			return;
 		}
 
@@ -549,7 +549,7 @@
 	public StructuralUnit getStructuralUnit() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					Messages.Cannot_ask_simple_when_advance);
+					RCPMessages.Cannot_ask_simple_when_advance);
 		return selectedStructuralUnit;
 	}
 
@@ -561,7 +561,7 @@
 	public StructuralUnitProperty getStructuralUnitProperty() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					Messages.Cannot_ask_simple_when_advance);
+					RCPMessages.Cannot_ask_simple_when_advance);
 		return selectedStructuralUnitProperty;
 	}
 
@@ -573,7 +573,7 @@
 	public List<String> getQueries() {
 		if (!isAdvancedSelected())
 			throw new IllegalStateException(
-					Messages.Cannot_ask_simple_when_advance);
+					RCPMessages.Cannot_ask_simple_when_advance);
 		return queriesString;
 	}
 
@@ -616,12 +616,12 @@
 		}
 
 		if (p == null) {
-			System.out.println(Messages.CreatePartitionDialog_8);
+			System.out.println(RCPMessages.CreatePartitionDialog_8);
 			return null;
 		}
 		
 		if (p.getParts().size() == 0) {
-			System.out.println(Messages.CreatePartitionDialog_10);
+			System.out.println(RCPMessages.CreatePartitionDialog_10);
 			return null;
 		}
 		
@@ -642,7 +642,7 @@
 		for (Text t: partNames) {
 			String name = t.getText().trim();
 			if (name.length() == 0)
-				name = Messages.CreatePartitionDialog_7+count++; 
+				name = RCPMessages.CreatePartitionDialog_7+count++; 
 			values.add(name);
 		}
 		return values;
